﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using ResourceLib;

namespace FetchResource_SampleApp_WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            this.Loaded += new RoutedEventHandler(MainWindow_Loaded);
            InitializeComponent();
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            System.Reflection.Assembly otherProject;
            otherProject = System.Reflection.Assembly.GetAssembly(typeof(ResourceLib.Class1));
            System.IO.Stream streamFile = otherProject.GetManifestResourceStream("ResourceLib.Images.ExpressionBlend.JPG");
            
            BitmapImage bitmap = new BitmapImage(); 
            bitmap.BeginInit(); 
            bitmap.StreamSource = streamFile; 
            bitmap.EndInit();

            closeAppWindow.Source = bitmap;
        }
    }
}
